import { Vue } from "vue-property-decorator";
import { NotificationCode } from "../../types/NotificationEvent";
import { NotificationsModule } from "../../../../widgets";
import { RouteNames } from "../../router/routeNames";
declare type Filter = {
    codes: NotificationCode[];
    icon: string;
    count: number;
    isActive?: boolean;
    hide?: boolean;
};
export default class NotificationsBar extends Vue {
    notificationsModule: NotificationsModule;
    getFilterRoute(filter: Filter): {
        name: RouteNames;
        query: {
            codes: NotificationCode[];
        };
    };
    get configRoute(): {
        name: RouteNames;
    };
    get excludedCodes(): string[];
    get codesFromRoute(): NotificationCode[];
    get filters(): Filter[];
}
export {};
